
/**
 * Define a classe SacoMoedasPequenas como subclasse de SacoMoedas.
 * Cada instncia de SacoMoedasPequenas representa um saco de moedas
 * que s aceita moedas de valor at um valor mximo indicado aquando 
 * da criao da instncia (por exemplo, 50 cntimos).
 * 
 * @author (Joo Carlos Pascoal Faria) 
 * @version (24 de Fevereiro de 2003)
 */
public class SacoMoedasPequenas extends SacoMoedas
{
    /**
     * Guarda o valor mximo das moedas aceites neste saco.
     */
    private int valorMax;
   
    /**
     * Construtor. Recebe como argumento o valor mximo das moedas
     * aceites neste saco, em cntimos (por exemplo, 50).
     */
    public SacoMoedasPequenas(int valorMax)
    {
        super();
        this.valorMax = valorMax;
    }
    
    /**
     * Redefinio do mtodo "aceitaMoeda" definido na superclasse.
     */
    public boolean aceitaMoeda(int valor)
    {
        return valor <= valorMax;
    }
}
